Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class ModelAttributes

    java.lang.Object
      org.modeshape.jboss.subsystem.ModelAttributes

    public class ModelAttributes

extends Object

Attributes used in setting up ModeShape configurations. To mark an attribute as required, mark it as not allowing null.

Field Summary
`static org.jboss.as.controller.SimpleAttributeDefinition` | `ACCESS_TYPE`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `ALLOW_WORKSPACE_CREATION`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `ANALYZER_CLASSNAME`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `ANALYZER_MODULE`
`static org.jboss.as.controller.ListAttributeDefinition` | `ANONYMOUS_ROLES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `ANONYMOUS_USERNAME`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `ASYNC_MAX_QUEUE_SIZE`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `ASYNC_THREAD_POOL_SIZE`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `BATCH_SIZE`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `BINARY_STORAGE_TYPE`
`static org.jboss.as.controller.AttributeDefinition[]` | `CACHE_BINARY_STORAGE_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `CACHE_CONTAINER`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `CACHE_CONTAINER_JNDI_NAME`
`static org.jboss.as.controller.AttributeDefinition[]` | `CACHE_INDEX_STORAGE_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `CACHE_NAME`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `CHUNK_SIZE`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `CLASSNAME`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `CLUSTER_NAME`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `CLUSTER_STACK`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `CONNECTION_FACTORY_JNDI_NAME`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `COPY_BUFFER_SIZE`
`static org.jboss.as.controller.AttributeDefinition[]` | `CUSTOM_BINARY_STORAGE_ATTRIBUTES`
`static org.jboss.as.controller.AttributeDefinition[]` | `CUSTOM_INDEX_STORAGE_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `DATA_CACHE_NAME`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `DATA_SOURCE_JNDI_NAME`
`static org.jboss.as.controller.AttributeDefinition[]` | `DATABASE_BINARY_STORAGE_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `DEFAULT_WORKSPACE`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `ENABLE_MONITORING`
`static org.jboss.as.controller.AttributeDefinition[]` | `FILE_BINARY_STORAGE_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `INDEX_FORMAT`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `INDEX_STORAGE_TYPE`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `JNDI_NAME`
`static org.jboss.as.controller.AttributeDefinition[]` | `LOCAL_FILE_INDEX_STORAGE_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `LOCK_CACHE_NAME`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `LOCKING_STRATEGY`
`static org.jboss.as.controller.AttributeDefinition[]` | `MASTER_FILE_INDEX_STORAGE_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `METADATA_CACHE_NAME`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `MINIMUM_BINARY_SIZE`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `MODE`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `MODULE`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `NAME`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `PATH`
`static org.jboss.as.controller.ListAttributeDefinition` | `PATH_EXPRESSIONS`
`static org.jboss.as.controller.ListAttributeDefinition` | `PREDEFINED_WORKSPACE_NAMES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `QUEUE_JNDI_NAME`
`static org.jboss.as.controller.AttributeDefinition[]` | `RAM_INDEX_STORAGE_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `READER_STRATEGY`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `REBUILD_INDEXES_UPON_STARTUP`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `REFRESH_PERIOD`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `RELATIVE_TO`
`static org.jboss.as.controller.AttributeDefinition[]` | `REPOSITORY_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `RETRY_INITIALIZE_PERIOD`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `RETRY_MARKER_LOOKUP`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `SECURITY_DOMAIN`
`static org.jboss.as.controller.AttributeDefinition[]` | `SEQUENCER_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `SEQUENCER_CLASSNAME`
`static org.jboss.as.controller.AttributeDefinition[]` | `SLAVE_FILE_INDEX_STORAGE_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `SOURCE_PATH`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `SOURCE_RELATIVE_TO`
`static org.jboss.as.controller.AttributeDefinition[]` | `SUBSYSTEM_ATTRIBUTES`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `THREAD_POOL`
`static org.jboss.as.controller.SimpleAttributeDefinition` | `USE_ANONYMOUS_IF_AUTH_FAILED`

Constructor Summary
`ModelAttributes()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCESS_TYPE

    public static final org.jboss.as.controller.SimpleAttributeDefinition ACCESS_TYPE

### ALLOW_WORKSPACE_CREATION

    public static final org.jboss.as.controller.SimpleAttributeDefinition ALLOW_WORKSPACE_CREATION

### ANALYZER_CLASSNAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition ANALYZER_CLASSNAME

### ANALYZER_MODULE

    public static final org.jboss.as.controller.SimpleAttributeDefinition ANALYZER_MODULE

### ANONYMOUS_ROLES

    public static final org.jboss.as.controller.ListAttributeDefinition ANONYMOUS_ROLES

### ANONYMOUS_USERNAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition ANONYMOUS_USERNAME

### ASYNC_MAX_QUEUE_SIZE

    public static final org.jboss.as.controller.SimpleAttributeDefinition ASYNC_MAX_QUEUE_SIZE

### ASYNC_THREAD_POOL_SIZE

    public static final org.jboss.as.controller.SimpleAttributeDefinition ASYNC_THREAD_POOL_SIZE

### BATCH_SIZE

    public static final org.jboss.as.controller.SimpleAttributeDefinition BATCH_SIZE

### BINARY_STORAGE_TYPE

    public static final org.jboss.as.controller.SimpleAttributeDefinition BINARY_STORAGE_TYPE

### CACHE_NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition CACHE_NAME

### CACHE_CONTAINER

    public static final org.jboss.as.controller.SimpleAttributeDefinition CACHE_CONTAINER

### CACHE_CONTAINER_JNDI_NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition CACHE_CONTAINER_JNDI_NAME

### CLUSTER_NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition CLUSTER_NAME

### CLUSTER_STACK

    public static final org.jboss.as.controller.SimpleAttributeDefinition CLUSTER_STACK

### CHUNK_SIZE

    public static final org.jboss.as.controller.SimpleAttributeDefinition CHUNK_SIZE

### CLASSNAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition CLASSNAME

### CONNECTION_FACTORY_JNDI_NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition CONNECTION_FACTORY_JNDI_NAME

### COPY_BUFFER_SIZE

    public static final org.jboss.as.controller.SimpleAttributeDefinition COPY_BUFFER_SIZE

### DATA_CACHE_NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition DATA_CACHE_NAME

### DATA_SOURCE_JNDI_NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition DATA_SOURCE_JNDI_NAME

### DEFAULT_WORKSPACE

    public static final org.jboss.as.controller.SimpleAttributeDefinition DEFAULT_WORKSPACE

### ENABLE_MONITORING

    public static final org.jboss.as.controller.SimpleAttributeDefinition ENABLE_MONITORING

### INDEX_FORMAT

    public static final org.jboss.as.controller.SimpleAttributeDefinition INDEX_FORMAT

### INDEX_STORAGE_TYPE

    public static final org.jboss.as.controller.SimpleAttributeDefinition INDEX_STORAGE_TYPE

### JNDI_NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition JNDI_NAME

### LOCK_CACHE_NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition LOCK_CACHE_NAME

### LOCKING_STRATEGY

    public static final org.jboss.as.controller.SimpleAttributeDefinition LOCKING_STRATEGY

### METADATA_CACHE_NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition METADATA_CACHE_NAME

### MINIMUM_BINARY_SIZE

    public static final org.jboss.as.controller.SimpleAttributeDefinition MINIMUM_BINARY_SIZE

### MODE

    public static final org.jboss.as.controller.SimpleAttributeDefinition MODE

### MODULE

    public static final org.jboss.as.controller.SimpleAttributeDefinition MODULE

### NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition NAME

### PATH

    public static final org.jboss.as.controller.SimpleAttributeDefinition PATH

### PATH_EXPRESSIONS

    public static final org.jboss.as.controller.ListAttributeDefinition PATH_EXPRESSIONS

### PREDEFINED_WORKSPACE_NAMES

    public static final org.jboss.as.controller.ListAttributeDefinition PREDEFINED_WORKSPACE_NAMES

### QUEUE_JNDI_NAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition QUEUE_JNDI_NAME

### READER_STRATEGY

    public static final org.jboss.as.controller.SimpleAttributeDefinition READER_STRATEGY

### REBUILD_INDEXES_UPON_STARTUP

    public static final org.jboss.as.controller.SimpleAttributeDefinition REBUILD_INDEXES_UPON_STARTUP

### REFRESH_PERIOD

    public static final org.jboss.as.controller.SimpleAttributeDefinition REFRESH_PERIOD

### RELATIVE_TO

    public static final org.jboss.as.controller.SimpleAttributeDefinition RELATIVE_TO

### RETRY_INITIALIZE_PERIOD

    public static final org.jboss.as.controller.SimpleAttributeDefinition RETRY_INITIALIZE_PERIOD

### RETRY_MARKER_LOOKUP

    public static final org.jboss.as.controller.SimpleAttributeDefinition RETRY_MARKER_LOOKUP

### SEQUENCER_CLASSNAME

    public static final org.jboss.as.controller.SimpleAttributeDefinition SEQUENCER_CLASSNAME

### SECURITY_DOMAIN

    public static final org.jboss.as.controller.SimpleAttributeDefinition SECURITY_DOMAIN

### SOURCE_PATH

    public static final org.jboss.as.controller.SimpleAttributeDefinition SOURCE_PATH

### SOURCE_RELATIVE_TO

    public static final org.jboss.as.controller.SimpleAttributeDefinition SOURCE_RELATIVE_TO

### THREAD_POOL

    public static final org.jboss.as.controller.SimpleAttributeDefinition THREAD_POOL

### USE_ANONYMOUS_IF_AUTH_FAILED

    public static final org.jboss.as.controller.SimpleAttributeDefinition USE_ANONYMOUS_IF_AUTH_FAILED

### SUBSYSTEM_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] SUBSYSTEM_ATTRIBUTES

### REPOSITORY_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] REPOSITORY_ATTRIBUTES

### RAM_INDEX_STORAGE_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] RAM_INDEX_STORAGE_ATTRIBUTES

### LOCAL_FILE_INDEX_STORAGE_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] LOCAL_FILE_INDEX_STORAGE_ATTRIBUTES

### MASTER_FILE_INDEX_STORAGE_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] MASTER_FILE_INDEX_STORAGE_ATTRIBUTES

### SLAVE_FILE_INDEX_STORAGE_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] SLAVE_FILE_INDEX_STORAGE_ATTRIBUTES

### CACHE_INDEX_STORAGE_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] CACHE_INDEX_STORAGE_ATTRIBUTES

### CUSTOM_INDEX_STORAGE_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] CUSTOM_INDEX_STORAGE_ATTRIBUTES

### FILE_BINARY_STORAGE_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] FILE_BINARY_STORAGE_ATTRIBUTES

### CACHE_BINARY_STORAGE_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] CACHE_BINARY_STORAGE_ATTRIBUTES

### DATABASE_BINARY_STORAGE_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] DATABASE_BINARY_STORAGE_ATTRIBUTES

### CUSTOM_BINARY_STORAGE_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] CUSTOM_BINARY_STORAGE_ATTRIBUTES

### SEQUENCER_ATTRIBUTES

    public static final org.jboss.as.controller.AttributeDefinition[] SEQUENCER_ATTRIBUTES

Constructor Detail

### ModelAttributes

    public ModelAttributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.